import { HttpStatus, HttpException } from '@nestjs/common';
import { ProvinciaService } from './provincia.service';
import { Provincia } from './provincia.entity';
import { CreateProvinciaDto } from './dto/create-provincia.dto';
import { UpdateProvinciaDto } from './dto/update-provincia.dto';
export declare class ProvinciaController {
    private provinciaService;
    constructor(provinciaService: ProvinciaService);
    getProvinciaByDepartamentoId(departamento_id: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
            departamento: import("../departamento/departamento.entity").Departamento;
            distrito: import("../distrito/distrito.entity").Distrito[];
        }[];
    }>;
    getDepartamentoAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            distrito: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                provincia: Provincia;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
            departamento: import("../departamento/departamento.entity").Departamento;
        }[];
    }>;
    getProvincia(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                distrito: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    provincia_id: number;
                    provincia: Provincia;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                }[];
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getProvinciaSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                distrito: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    provincia_id: number;
                    provincia: Provincia;
                    inmueble: import("../inmueble/inmueble.entity").Inmueble[];
                }[];
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: import("../pais/pais.entity").Pais;
                    provincia: Provincia[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getProvinciaById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        distrito: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        departamento_id: number;
        departamento: import("../departamento/departamento.entity").Departamento;
    }>;
    createProvincia(newProvincia: CreateProvinciaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            distrito: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                provincia: Provincia;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: import("../pais/pais.entity").Pais;
                provincia: Provincia[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateProvincia(id: number, provincia: UpdateProvinciaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
            departamento: import("../departamento/departamento.entity").Departamento;
            distrito: import("../distrito/distrito.entity").Distrito[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteProvincia(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
